from td_connect import TDAuth
from pathlib import Path
from datetime import datetime
import requests
import json


def quote(symbol: str, auth: TDAuth):
    resp = requests.get(
        url=f"https://api.tdameritrade.com/v1/marketdata/{symbol}/quotes",
        params={"apikey": auth.client_id},
        headers=auth.auth_header,
    )
    return resp.json()
