from datetime import datetime
from fin_data.sources.td_ameritrade.options.tables import (
    td_option_quotes,
    td_option_contacts,
    td_option_underlyings,
)


def recent_options(time_since: str):
    time_since = time_since or datetime.utcnow() - timedelta(days=1)
    query = sa.select(td_option_chains).where(
        td_option_chains.c.quote_time >= time_since
    )
    return query
